import { Container } from './Container.ts'
import Instantiable from './type/Instantiable.ts'
import { DependencyKey } from './type/DependencyKey.ts'

declare global {
    var daton_container: Container
    interface Window { daton_container: any }
}

if ( !window.daton_container ) {
    window.daton_container = new Container()
}

const container = window.daton_container
const make = <T>(target: Instantiable<T>|DependencyKey, ...parameters: any[]) => window.daton_container.make(target, ...parameters)
export { container, make }
